Remove an equipment type from the part
https://carchost.fieldcontrol.com.br/parts/{id}/equipment-types/{equipmentTypeId}Unlinks an equipment type from the part and returns the updated part.
Requires the
X-Api-KeyandUser-Agentheaders. Limit: 1 request per second (learn more).
Request
Path parameters
idstringrequiredPart identifier.
Example: YjJjM2Q0ZTUtZjZhNy04OTAxLWJjZGUtZjEyMzQ1Njc4OTAxOjIyOTE1.
equipmentTypeIdstringrequiredEquipment type identifier.
Example: NDFkNzk3MDctZDI3Yy00ZTM1LWJmZGQtYTNhMTUwNzEwNmNkOjIyOTE1.
Headers
User-AgentstringrequiredIdentification of your application.
Example: MinhaIntegracao/1.0.
Responses
- 200
Equipment type unlinked. Returns the part.
- 401
API key missing (
Missing API Key) or invalid (Invalid API Key). See Authentication. - 403
Account blocked (
Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication. - 422
Equipment type nonexistent, already linked (when adding) or not linked (when removing) (resourceValidationErr). Nonexistent part: 422 resourceNotFound (there is no 404). Invalid identifier or one from another account: uriValidationErr.
- 429
Limit of 1 request per second exceeded. See Rate limit.
- 500
Unexpected server error.